Index: /code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2609)
+++ /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2610)
@@ -21,9 +21,5 @@
 
 INCLUDE_DIRECTORIES(
-  ceguilua/ceguilua-${CEGUI_VERSION}/ceguilua
-  cpptcl
-  ois
-  tinyxml
-  tolua
+  ceguilua/ceguilua-${CEGUI_VERSION}
 )
 
@@ -45,4 +41,5 @@
 
 # External libraries, but copied into the repository
+ADD_SUBDIRECTORY(tolua)
 ADD_SUBDIRECTORY(ceguilua)
 ADD_SUBDIRECTORY(cpptcl)
@@ -50,5 +47,4 @@
 ADD_SUBDIRECTORY(ois)
 ADD_SUBDIRECTORY(tinyxml)
-ADD_SUBDIRECTORY(tolua)
 
 # Our own libraries
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/package/CEGUI.pkg
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/package/CEGUI.pkg	(revision 2609)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/package/CEGUI.pkg	(revision 2610)
@@ -1,4 +1,4 @@
 // include the header that makes these files generate valid code
-$#include "required.h"
+$#include "ceguilua/required.h"
 $#include "CEGUIPropertyHelper.h"
 
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/package/CEGUI.pkg
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/package/CEGUI.pkg	(revision 2609)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/package/CEGUI.pkg	(revision 2610)
@@ -1,4 +1,4 @@
 // include the header that makes these files generate valid code
-$#include "required.h"
+$#include "ceguilua/required.h"
 $#include "CEGUIPropertyHelper.h"
 
Index: /code/branches/buildsystem2/src/core/BaseObject.cc
===================================================================
--- /code/branches/buildsystem2/src/core/BaseObject.cc	(revision 2609)
+++ /code/branches/buildsystem2/src/core/BaseObject.cc	(revision 2610)
@@ -34,5 +34,5 @@
 #include "BaseObject.h"
 
-#include <tinyxml.h>
+#include <tinyxml/tinyxml.h>
 
 #include "CoreIncludes.h"
Index: /code/branches/buildsystem2/src/core/IRC.h
===================================================================
--- /code/branches/buildsystem2/src/core/IRC.h	(revision 2609)
+++ /code/branches/buildsystem2/src/core/IRC.h	(revision 2610)
@@ -32,5 +32,5 @@
 #include "CorePrereqs.h"
 
-#include <cpptcl.h>
+#include <cpptcl/CppTcl.h>
 #include "OrxonoxClass.h"
 
Index: /code/branches/buildsystem2/src/core/Loader.cc
===================================================================
--- /code/branches/buildsystem2/src/core/Loader.cc	(revision 2609)
+++ /code/branches/buildsystem2/src/core/Loader.cc	(revision 2610)
@@ -29,5 +29,5 @@
 #include "Loader.h"
 
-#include <ticpp.h>
+#include <tinyxml/ticpp.h>
 
 #include "XMLFile.h"
Index: /code/branches/buildsystem2/src/core/LuaBind.cc
===================================================================
--- /code/branches/buildsystem2/src/core/LuaBind.cc	(revision 2609)
+++ /code/branches/buildsystem2/src/core/LuaBind.cc	(revision 2610)
@@ -36,5 +36,5 @@
 #include <lualib.h>
 }
-#include <tolua++.h>
+#include <tolua/tolua++.h>
 
 #include "core/ToluaBindCore.h"
Index: /code/branches/buildsystem2/src/core/TclBind.h
===================================================================
--- /code/branches/buildsystem2/src/core/TclBind.h	(revision 2609)
+++ /code/branches/buildsystem2/src/core/TclBind.h	(revision 2610)
@@ -32,5 +32,5 @@
 #include "CorePrereqs.h"
 
-#include <cpptcl.h>
+#include <cpptcl/CppTcl.h>
 
 namespace orxonox
Index: /code/branches/buildsystem2/src/core/TclThreadManager.h
===================================================================
--- /code/branches/buildsystem2/src/core/TclThreadManager.h	(revision 2609)
+++ /code/branches/buildsystem2/src/core/TclThreadManager.h	(revision 2610)
@@ -40,5 +40,5 @@
 #include <boost/thread/thread.hpp>
 
-#include <cpptcl.h>
+#include <cpptcl/CppTcl.h>
 #include "core/OrxonoxClass.h"
 
Index: /code/branches/buildsystem2/src/core/Template.cc
===================================================================
--- /code/branches/buildsystem2/src/core/Template.cc	(revision 2609)
+++ /code/branches/buildsystem2/src/core/Template.cc	(revision 2610)
@@ -29,5 +29,5 @@
 #include "Template.h"
 
-#include <ticpp.h>
+#include <tinyxml/ticpp.h>
 
 #include "core/CoreIncludes.h"
Index: /code/branches/buildsystem2/src/core/Template.h
===================================================================
--- /code/branches/buildsystem2/src/core/Template.h	(revision 2609)
+++ /code/branches/buildsystem2/src/core/Template.h	(revision 2610)
@@ -34,5 +34,5 @@
 #include "CorePrereqs.h"
 
-#include <tinyxml.h>
+#include <tinyxml/tinyxml.h>
 #include "BaseObject.h"
 
Index: /code/branches/buildsystem2/src/core/XMLPort.h
===================================================================
--- /code/branches/buildsystem2/src/core/XMLPort.h	(revision 2609)
+++ /code/branches/buildsystem2/src/core/XMLPort.h	(revision 2610)
@@ -43,5 +43,5 @@
 #include "CorePrereqs.h"
 
-#include <ticpp.h>
+#include <tinyxml/ticpp.h>
 #include "util/Debug.h"
 #include "util/Exception.h"
Index: /code/branches/buildsystem2/src/ois/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2609)
+++ /code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2610)
@@ -36,4 +36,6 @@
 ENDIF (WIN32)
 
+INCLUDE_DIRECTORIES(.)
+
 ADD_LIBRARY( ois_orxonox SHARED ${OIS_SRC_FILES} )
 SET_TARGET_PROPERTIES(ois_orxonox PROPERTIES DEFINE_SYMBOL "OIS_NONCLIENT_BUILD")
Index: /code/branches/buildsystem2/src/orxonox/gui/GUIManager.cc
===================================================================
--- /code/branches/buildsystem2/src/orxonox/gui/GUIManager.cc	(revision 2609)
+++ /code/branches/buildsystem2/src/orxonox/gui/GUIManager.cc	(revision 2610)
@@ -39,5 +39,5 @@
 #include <OgreRoot.h>
 #include <CEGUI.h>
-#include <CEGUILua.h>
+#include <ceguilua/CEGUILua.h>
 #include <ogreceguirenderer/OgreCEGUIRenderer.h>
 
Index: /code/branches/buildsystem2/src/tolua/lua/package.lua
===================================================================
--- /code/branches/buildsystem2/src/tolua/lua/package.lua	(revision 2609)
+++ /code/branches/buildsystem2/src/tolua/lua/package.lua	(revision 2610)
@@ -121,8 +121,8 @@
 
     output('#ifndef __cplusplus\n')
-    output('#include "stdlib.h"\n')
+    output('#include <stdlib.h>\n')
     output('#endif\n')
-    output('#include "string.h"\n\n')
-    output('#include "tolua++.h"\n\n')
+    output('#include <string.h>\n\n')
+    output('#include <tolua/tolua++.h>\n\n')
 
     if flags.H then