Index: orxonox/trunk/gui/Makefile.am
===================================================================
--- orxonox/trunk/gui/Makefile.am	(revision 2605)
+++ orxonox/trunk/gui/Makefile.am	(revision 2613)
@@ -3,7 +3,7 @@
 
 bin_PROGRAMS=gui
-gui_SOURCES=orxonox_gui.cc orxonox_gui_video.cc	orxonox_gui_audio.cc orxonox_gui_exec.cc orxonox_gui_flags.cc orxonox_gui_banner.cc
+gui_SOURCES=orxonox_gui.cc orxonox_gui_video.cc	orxonox_gui_audio.cc orxonox_gui_exec.cc orxonox_gui_flags.cc orxonox_gui_banner.cc orxonox_gui_keys.cc
 
-noinst_HEADERS=orxonox_gui.h orxonox_gui_video.h orxonox_gui_audio.h orxonox_gui_exec.h orxonox_gui_flags.h orxonox_gui_banner.h
+noinst_HEADERS=orxonox_gui.h orxonox_gui_video.h orxonox_gui_audio.h orxonox_gui_exec.h orxonox_gui_flags.h orxonox_gui_banner.h orxonox_gui_keys.h
 
 #  uncomment the following if bencoder requires the math library
Index: orxonox/trunk/gui/Makefile.in
===================================================================
--- orxonox/trunk/gui/Makefile.in	(revision 2605)
+++ orxonox/trunk/gui/Makefile.in	(revision 2613)
@@ -115,7 +115,7 @@
 #AM_LDFLAGS=`pkg-config --libs  gtk+-2.0`
 bin_PROGRAMS = gui
-gui_SOURCES = orxonox_gui.cc orxonox_gui_video.cc	orxonox_gui_audio.cc orxonox_gui_exec.cc orxonox_gui_flags.cc orxonox_gui_banner.cc
-
-noinst_HEADERS = orxonox_gui.h orxonox_gui_video.h orxonox_gui_audio.h orxonox_gui_exec.h orxonox_gui_flags.h orxonox_gui_banner.h
+gui_SOURCES = orxonox_gui.cc orxonox_gui_video.cc	orxonox_gui_audio.cc orxonox_gui_exec.cc orxonox_gui_flags.cc orxonox_gui_banner.cc orxonox_gui_keys.cc
+
+noinst_HEADERS = orxonox_gui.h orxonox_gui_video.h orxonox_gui_audio.h orxonox_gui_exec.h orxonox_gui_flags.h orxonox_gui_banner.h orxonox_gui_keys.h
 
 #  uncomment the following if bencoder requires the math library
@@ -138,5 +138,6 @@
 am_gui_OBJECTS = orxonox_gui.$(OBJEXT) orxonox_gui_video.$(OBJEXT) \
 	orxonox_gui_audio.$(OBJEXT) orxonox_gui_exec.$(OBJEXT) \
-	orxonox_gui_flags.$(OBJEXT) orxonox_gui_banner.$(OBJEXT)
+	orxonox_gui_flags.$(OBJEXT) orxonox_gui_banner.$(OBJEXT) \
+	orxonox_gui_keys.$(OBJEXT)
 gui_OBJECTS = $(am_gui_OBJECTS)
 gui_LDADD = $(LDADD)
@@ -152,4 +153,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_exec.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_flags.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_keys.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox_gui_video.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
@@ -212,4 +214,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_exec.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_flags.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_keys.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox_gui_video.Po@am__quote@
 
Index: orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui.cc	(revision 2605)
+++ orxonox/trunk/gui/orxonox_gui.cc	(revision 2613)
@@ -32,4 +32,5 @@
 #include "orxonox_gui_flags.h"
 #include "orxonox_gui_banner.h"
+#include "orxonox_gui_keys.h"
 
   Window* orxonoxGUI;
@@ -39,4 +40,5 @@
   OrxonoxGuiFlags* flags;
   OrxonoxGuiBanner* banner;
+  OrxonoxGuiKeys* keys;
 
 int main( int argc, char *argv[] )
@@ -75,5 +77,8 @@
       
   optionBox->fill (avBox);
-    
+
+  keys = new OrxonoxGuiKeys ();
+  optionBox->fill (keys->getWidget ());
+
   exec = new OrxonoxGuiExec (orxonoxGUI);
   optionBox->fill (exec->getWidget ());
Index: orxonox/trunk/gui/orxonox_gui_keys.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 2613)
+++ orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 2613)
@@ -0,0 +1,76 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software Foundation,
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+
+*/
+
+#include "orxonox_gui_keys.h"
+#include <iostream.h>
+
+/**
+   \brief Creates an Keyboard-Frame
+*/
+OrxonoxGuiKeys::OrxonoxGuiKeys ()
+{
+  keysFrame = new Frame ("Keyboard-Options:");
+  keysBox = new Box ('v');
+  player1 = new Player("player1");
+  player2 = new Player("player2");
+  
+  keysBox->fill(player1->getOpenButton());
+
+  keysFrame->fill (keysBox);
+}
+
+/**
+   \brief Return the Frame
+   \return Returns the Audio-frame
+*/
+Widget* OrxonoxGuiKeys::getWidget ()
+{
+  return keysFrame;
+}
+
+
+
+/* PLAYER */
+Player::Player(char* player)
+{
+  openButton = new Button (player);
+}
+
+Button* Player::getOpenButton()
+{
+  return openButton;
+}
+
+
+void Player::setkey(KEYS key)
+{
+  cout << "setting up Key: "<< key <<endl;
+}
+
+gint WindowOpen (GtkWidget* widget, GdkEvent* event, void* player)
+{
+  
+}
+
Index: orxonox/trunk/gui/orxonox_gui_keys.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_keys.h	(revision 2613)
+++ orxonox/trunk/gui/orxonox_gui_keys.h	(revision 2613)
@@ -0,0 +1,54 @@
+/*!
+  \file orxonox_gui_keys.h
+  \brief File that holds the class that creates the Keyboard-Options.
+*/
+
+#ifndef _ORXONOX_GUI_KEYS_H
+#define _ORXONOX_GUI_KEYS_H
+
+#include "orxonox_gui.h"
+
+/**
+ * defines the Possible Player Keys
+ */
+enum KEYS { UP, DOWN, LEFT, RIGTH, SHOOT };
+
+/**
+   \brief Class to hold infos about a Player
+*/
+class Player
+{
+ private:
+  char keys[10];
+  Button* openButton;
+  Window* window;
+ public:
+  Player(char* player);
+
+  Button* getOpenButton();
+
+  void setkey(KEYS key);
+  
+};
+
+//! Class that creates the Keys-Options.
+class OrxonoxGuiKeys
+{
+ private:
+  Frame* keysFrame;
+  Box* keysBox;
+  Player* player1;
+  Player* player2;
+  Button* misc;
+
+ public:
+  OrxonoxGuiKeys ();
+  ~OrxonoxGuiKeys ();
+  
+  Widget* getWidget ();
+};
+
+
+    
+
+#endif /* _ORXONOX_GUI_KEYS_H */